jac={gui={}}
button={}

--Buttons
function jac.gui.newButton(x,y,text,name) 
	table.insert(button, {x=x,y=y,xt,yt,text=text,name=name})
end

function jac.gui.buttonDraw()
	for i,v in ipairs(button) do
		v.xt=v.x-font:getWidth(v.text)/2+buttonImg:getWidth()/2
		v.yt=v.y+5
		love.graphics.draw(buttonImg,v.x,v.y)
		love.graphics.print(v.text,v.xt,v.yt)
	end
end

function jac.isButtonClicked(x,y,table)
	for i,v in ipairs(button) do
		if x > v.x and x < v.x + buttonImg:getWidth() and
		y > v.y and y < v.y + buttonImg:getHeight() then
			return true
    else
      return false
		end
  end
end

--Enemy
function jac.newEnemy(name,img,level,maxHealth)
	table.insert(enemy, {name=name,img=img,level=level,maxHealth=level*3})
end

function jac.drawEnemy()
	for i,v in ipairs(enemy) do
		love.graphics.print(v.name,0,0)
		love.graphics.draw(v.img,0,0)
	end
end
		
		